get
https://api.similarweb.com/v3/batch/management/get-all-integrations
This endpoint provides a list of all of the account's integrations (S3 integrations and Snowflake integrations).
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response
The response contains all integrations created under the user's account.
IntegrationsList Object
This object contains a list of all integrations created under the user's account.
| Property | Description | Example |
|---|---|---|
| A list of all of the account's S3 integrations. | [ "my_integrations_1", my_integrations_2" ] |
| A list of all of the account's Snowflake integrations. | [ "my_snowflake_integration", "snowflake_default", ] |
S3Integration Object
This object describes the S3 integration.
| Property | Description | Example |
|---|---|---|
| expiration_date str | The date after which the integration will not be active. | "2024-06-06" |
| integration_name str | The name of the integration. | "my_integrations_1" |
Snowflake Integration Object
This object describes the Snowflake integration.
| Property | Description | Example |
|---|---|---|
| client_account_id str | The Snowflake account ID (AKA the account locator). | "ABC12345" |
| integration_name str | The Snowflake integration name. | "snowflake_default" |
| share_name str | The snowflake share name. | "SIMILARWEB_12345678_snowflake_default" |
